Package com.microsoft.sqlserver.jdbc

## Interface ISQLServerSavepoint

All Superinterfaces:
  `java.sql.Savepoint`, `java.io.Serializable`

All Known Implementing Classes:
  `SQLServerSavepoint`

    public interface ISQLServerSavepoint
    extends java.sql.Savepoint, java.io.Serializable

Provides an interface to the `SQLServerSavepoint` class.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getLabel()` Returns the savepoint label
`java.lang.String` `getSavepointName()` Returns the savepoint name
`boolean` `isNamed()` Returns if the savepoint label is null

### Methods inherited from interface java.sql.Savepoint

`getSavepointId`

### Method Detail

#### getSavepointName

    java.lang.String getSavepointName()
                               throws SQLServerException

Returns the savepoint name

Specified by:
  `getSavepointName` in interface `java.sql.Savepoint`
Returns:
  the name of savepoint
Throws:
  `SQLServerException`

#### getLabel

    java.lang.String getLabel()

Returns the savepoint label

Returns:
  the label for Savepoint

#### isNamed

    boolean isNamed()

Returns if the savepoint label is null

Returns:
  true is the savepoint is named. Otherwise, false.